# std::ranges::concat_view<Views...>::iterator<Const>::operator[]

From cppreference.com
< cpp‎ | ranges‎ | concat view‎ | iterator

constexpr decltype(auto) operator[]( difference_type pos ) const requires /*concat-is-random-access*/<Const, Views...>; |  | (since C++26)

Returns a reference to an element at specified relative location.

### Parameters

pos | - | position relative to current location

### Return value

*((*this) + pos)

### Example

| This section is incomplete Reason: no example

### See also

operator* (C++26) | accesses the element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/concat_view/iterator/operator_at&oldid=176969"